Package org.eclipse.birt.report.model.api.metadata

# Interface IClassInfo

All Superinterfaces:
  `ILocalizableInfo`

All Known Implementing Classes:
  `ClassInfo`, `ClassInfo`

public interface IClassInfo extends ILocalizableInfo
Represents the script object definition. This definition defines one constructor, several members and methods. It also includes the name, display name ID, and tool tip ID.

## Method Summary

Modifier and Type
Method
Description
`IMethodInfo`
`getConstructor()`
Returns the constructor definition.
`IMemberInfo`
`getMember(String name)`
Returns the member definition given method name.
`List<IMemberInfo>`
`getMembers()`
Returns the list of member definitions.
`IMethodInfo`
`getMethod(String name)`
Get the method definition given the method name.
`List<IMethodInfo>`
`getMethods()`
Returns the method definition list.
`boolean`
`isNative()`
Returns whether a class object is native.

### Methods inherited from interface org.eclipse.birt.report.model.api.metadata.ILocalizableInfo

`getDisplayName, getDisplayNameKey, getName, getToolTip, getToolTipKey`

## Method Details

### getMethods

List<IMethodInfo> getMethods()
Returns the method definition list. For methods that have the same name, only return one method.

Returns:
  a list of method definitions

### getMethod

IMethodInfo getMethod(String name)
Get the method definition given the method name.

Parameters:
  `name` - the name of the method to get
Returns:
  the definition of the method to get

### getMembers

List<IMemberInfo> getMembers()
Returns the list of member definitions.

Returns:
  the list of member definitions

### getMember

IMemberInfo getMember(String name)
Returns the member definition given method name.

Parameters:
  `name` - name of the member to get
Returns:
  the member definition to get

### getConstructor

IMethodInfo getConstructor()
Returns the constructor definition.

Returns:
  the constructor definition

### isNative

boolean isNative()
Returns whether a class object is native.

Returns:
  `true` if an object of this class is native, otherwise `false`